<template>
    <div id="app" class="bg-grey-lighter h-screen">
        <div class="pageHeader">
            <div class="title">Управление задачами</div>
        </div>
        <div class="main">
            <top-menu @export="exportFile()"></top-menu>
            <router-view></router-view>
        </div>
    </div>
</template>

<script>
  import TopMenu from './components/TopMenu';
  import exportData from './export-utils';

  export default {
    name: 'app',
    components: { TopMenu },
    created() {
      this.$store.dispatch('loadData');
    },
    methods: {
      exportFile() {
        const { projects, settings, special } = this.$store.state;
        exportData(projects, settings, special);
      },
    },
  };
</script>

<style>

    body::-webkit-scrollbar {
        width: 8px;
    }

    body::-webkit-scrollbar-track {
        -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.3);
    }

    body::-webkit-scrollbar-thumb {
        background-color: darkgrey;
        outline: 1px solid slategrey;
        border-radius: 15px;
    }

    .pageHeader {
        width: 100%;
        height: 50px;
        line-height: 50px;
        background-color: #54b9cd;
        color: White;
        padding: 5px 20px;
        vertical-align: middle;
    }

    .pageHeader .title {
        width: 40%;
        float: left;
        line-height: 40px;
        font-size: 1.5em;
        font-weight: 700;
    }

    .main {
        position: relative;
        width: 100%;
        height: 100%;
        clear: both;
        background-color: white;
        display: flex;
        flex-direction: row;
        justify-content: flex-start;
        align-items: flex-start;
    }

    .main .nav {
        width: 250px;
        height: 100%;
        background-color: rgba(227, 234, 235, 0.8);
    }

    .main .view {
        position: relative;
        flex-grow: 1;
    }

    .main .view .viewHeader .title {
        float: left;
        font-size: 1.4em;
        font-weight: 400;
        padding: 0;
        color: #AAA;
    }

    .main .view .content {
        padding: 10px;
    }

    .main .view .content .list .title {
        width: 100%;
        padding: 10px;
        text-transform: uppercase;
        font-weight: 700;
        color: #54b9cd;
    }

    .main .view .content .list ul {
        width: 100%;
        padding-left: 10px;
        color: #777;
    }

    .main .view .content .list ul li {
        width: 100%;
        list-style: none;
        padding: 10px;
        border-top: 1px solid #AAA;
        display: flex;
    }

    .time {
        color: #117488;
        width: 80px;
        display: inline-block;
    }

    .time .fa {
        margin-right: 10px;
    }

    .task-name {
        flex-grow: 1;
    }

    .add-task-btn {
        height: 30px;
        line-height: 30px;
        background-color: #54b9cd;
        border-radius: 4px;
        margin: 0 5px;
        padding: 0 20px;
        cursor: pointer;
        color: white;
        font-weight: 700;
        float: right;
    }

    .list {
        margin-bottom: 30px;
    }
</style>
